Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1519323 - Review request: qesteidutil - Estonian ID card utility
Summary: Review request: qesteidutil - Estonian ID card utility
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1513456 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-30 15:25 UTC by Germano Massullo
Modified: 2018-02-20 17:16 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-20 17:16:00 UTC
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Germano Massullo 2017-11-30 15:25:28 UTC
Unretiring qesteidutil package
https://src.fedoraproject.org/rpms/qesteidutil

Description
QEsteidUtil is an application for managing Estonian ID Card. In an
user-friendly interface it is possible to change and unlock PINs, examine
detailed information about personal data file on the card, extract and view
certificates, set up mobile ID, and configure @eesti.ee email.

https://germano.fedorapeople.org/package_reviews/qesteidutil/qesteidutil.spec
https://germano.fedorapeople.org/package_reviews/qesteidutil/qesteidutil-3.12.10-1.fc27.src.rpm

I want to thank upstream Raul Metsma that is helping me in bringing back Estonia ID card utils into Fedora repositories

Comment 1 Germano Massullo 2017-11-30 17:39:15 UTC
*** Bug 1513456 has been marked as a duplicate of this bug. ***

Comment 2 Robert-André Mauchin 2017-12-03 14:08:49 UTC
The package already exists https://src.fedoraproject.org/rpms/qesteidutil but is orphaned. Did you follow the procedure to un-orphan it? https://fedoraproject.org/wiki/Orphaned_package_that_need_new_maintainers#Claiming_Ownership_of_a_Retired_Package

Package Review:

 - make %{?_smp_mflags} → %make_build

 - make install DESTDIR=%{buildroot} → %make_install

 - Not needed:

%clean
rm -rf %{buildroot}

 - The license file should be included with the %license macro, not %doc:

%files
%doc AUTHORS CONTRIBUTING.md README.md RELEASE-NOTES.md
%license LICENSE.LGPL

 - COPING is not needed as it is the license for the removed qtsingleapplication bundle.

 - Please remove the excessive linebreak


 - Use pkgconfig for BR when you can:

BuildRequires:  cmake
BuildRequires:  desktop-file-utils
BuildRequires:  pkgconfig(openssl)
BuildRequires:  pkgconfig(Qt5Designer)
BuildRequires:  pkgconfig(libpcsclite) >= 1.7
BuildRequires:  libappstream-glib
BuildRequires:  qtsingleapplication-qt5-devel
Requires:       hicolor-icon-theme
Requires:       opensc%{?_isa}
Requires:       pcsc-lite-ccid%{?_isa}

Comment 3 Germano Massullo 2017-12-10 22:57:52 UTC
Are you sure about replacing
BuildRequires:  qt5-qttools
with
BuildRequires:  pkgconfig(Qt5Designer)
?

Comment 5 Robert-André Mauchin 2017-12-11 17:16:28 UTC
 - Add a comment explaining what the patch is for

 - You never apply the patch in %prep, did you forget that part?

%patch0 -p1

 - Escape the macros in your last changelog entry by doubling the %:

* Thu Nov 30 2017 Germano Massullo <germano.massullo@gmail.com> - 3.12.10-1
- forced %%{cmake} . -DBREAKPAD=FALSE because breakpad does not compile with recent compilers. Source: Raul Metsma (upstream) on IRC chat, which showed me also https://github.com/open-eid/qesteidutil/commit/efdfe4c5521f68f206569e71e292a664bb9f46aa
- adjusted doc file names
- removed OpenSSL 1.1 patch because no longer necessary
- replaced make %%{?_smp_mflags} with %%make_build (see package review #1519323)
- replaced make install DESTDIR=%%{buildroot} with %%make_install (see package review #1519323)
- removed line %%clean and rm -rf %%{buildroot} (see package review #1519323)
- license file attached to %%license macro, instead of %%doc macro (see package review #1519323)
- Replaced BuildRequires: openssl-devel with BuildRequires: pkgconfig(openssl) (see package review #1519323)
- Replaced BuildRequires: qt5-qttools with BuildRequires: pkgconfig(Qt5Designer) (see package review #1519323)
- Replaced BuildRequires: libpcsclite-devel >= 1.7 with BuildRequires: pkgconfig(libpcsclite) >= 1.7 (see package review #1519323)


 - Convert this file to UTF-8:

qesteidutil.x86_64: W: file-not-utf8 /usr/share/doc/qesteidutil/AUTHORS



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package does not use a name that already exists.
  Note: A package with this name already exists. Please check
  https://admin.fedoraproject.org/pkgdb/package/qesteidutil
  See:
  https://fedoraproject.org/wiki/Packaging/NamingGuidelines#Conflicting_Package_Names


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Apache (v2.0)", "GPL (v2 or later)", "Unknown or generated",
     "GPL (v3) LGPL (v3)", "*No copyright* BSD (3 clause)", "MIT/X11 (BSD
     like)", "BSD (4 clause)", "curl", "*No copyright* Public domain",
     "Apache (v2.0) BSD (2 clause)", "*No copyright* Ms-RL", "Unicode
     strict BSD (3 clause)", "Unicode strict", "BSD (3 clause)", "LGPL
     (v2.1 or later)", "FSF All Permissive", "GPL (v3 or later)", "*No
     copyright* LGPL (v2.1 or later)". 359 files have unknown license.
     Detailed output of licensecheck in
     /home/bob/packaging/review/qesteidutil/review-
     qesteidutil/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package does not own files or directories owned by other packages.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: gtk-update-icon-cache is invoked in %postun and %posttrans if package
     contains icons.
     Note: icons in qesteidutil
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 4 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or
     desktop-file-validate if there is such a file.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     qesteidutil-debuginfo , qesteidutil-debugsource
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[!]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: qesteidutil-3.12.10-1.fc28.x86_64.rpm
          qesteidutil-debuginfo-3.12.10-1.fc28.x86_64.rpm
          qesteidutil-debugsource-3.12.10-1.fc28.x86_64.rpm
          qesteidutil-3.12.10-1.fc28.src.rpm
qesteidutil.x86_64: W: spelling-error %description -l en_US eesti -> testis
qesteidutil.x86_64: W: spelling-error %description -l en_US ee -> i, we, re
qesteidutil.x86_64: W: only-non-binary-in-usr-lib
qesteidutil.x86_64: W: file-not-utf8 /usr/share/doc/qesteidutil/AUTHORS
qesteidutil-debugsource.x86_64: W: no-documentation
qesteidutil.src: W: spelling-error %description -l en_US eesti -> testis
qesteidutil.src: W: spelling-error %description -l en_US ee -> i, we, re
qesteidutil.src:87: W: macro-in-%changelog %{cmake}
qesteidutil.src:90: W: macro-in-%changelog %make_build
qesteidutil.src:91: W: macro-in-%changelog %{buildroot}
qesteidutil.src:91: W: macro-in-%changelog %make_install
qesteidutil.src:92: W: macro-in-%changelog %clean
qesteidutil.src:92: W: macro-in-%changelog %{buildroot}
qesteidutil.src:93: W: macro-in-%changelog %license
qesteidutil.src:93: W: macro-in-%changelog %doc
qesteidutil.src: W: patch-not-applied Patch0: sandbox-compilation.patch
4 packages and 0 specfiles checked; 0 errors, 16 warnings.

Comment 7 Robert-André Mauchin 2018-01-31 23:16:19 UTC
Well that's your patch, what does it do/why is it needed?

Comment 8 Germano Massullo 2018-01-31 23:17:37 UTC
(In reply to Robert-André Mauchin from comment #7)
> Well that's your patch, what does it do/why is it needed?

The patch was already in the retired package, it is not mine

Comment 9 Germano Massullo 2018-02-02 12:31:42 UTC
I think the package should be okay

Comment 10 Robert-André Mauchin 2018-02-02 14:35:50 UTC
Ok, package approved.

Comment 11 Fedora Update System 2018-02-08 09:22:31 UTC
qdigidoc-3.13.5-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-c6419c676b

Comment 12 Germano Massullo 2018-02-08 09:23:35 UTC
(In reply to Fedora Update System from comment #11)
> qdigidoc-3.13.5-1.fc27 has been submitted as an update to Fedora 27.
> https://bodhi.fedoraproject.org/updates/FEDORA-2018-c6419c676b

My fault!

Comment 13 Fedora Update System 2018-02-13 19:54:12 UTC
qesteidutil-3.12.10-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-54c7a5b01b

Comment 14 Fedora Update System 2018-02-14 18:27:43 UTC
qesteidutil-3.12.10-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-54c7a5b01b

Comment 15 Fedora Update System 2018-02-15 10:34:19 UTC
qesteidutil-3.12.10-2.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-54c7a5b01b

Comment 16 Fedora Update System 2018-02-15 15:28:12 UTC
qesteidutil-3.12.10-2.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-54c7a5b01b

Comment 17 Fedora Update System 2018-02-20 17:16:00 UTC
qesteidutil-3.12.10-2.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.